CVE-2015-3451

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The _clone function in XML::LibXML before 2.0119 does not properly set the expand_entities option, which allows remote attackers to conduct XML external entity (XXE) attacks via crafted XML data to the (1) new or (2) load_xml function.

References

http://advisories.mageia.org/MGASA-2015-0199.html

http://cpansearch.perl.org/src/SHLOMIF/XML-LibXML-2.0119/Changes

http://lists.fedoraproject.org/pipermail/package-announce/2015-May/157448.html

http://lists.fedoraproject.org/pipermail/package-announce/2015-May/157740.html

http://lists.opensuse.org/opensuse-updates/2015-09/msg00006.html

http://www.debian.org/security/2015/dsa-3243

http://www.mandriva.com/security/advisories?name=MDVSA-2015:231

http://www.openwall.com/lists/oss-security/2015/04/25/2

http://www.openwall.com/lists/oss-security/2015/04/30/1

http://www.securityfocus.com/bid/74333

http://www.ubuntu.com/usn/USN-2592-1

https://bitbucket.org/shlomif/perl-xml-libxml/commits/5962fd067580767777e94640b129ae8930a68a30/raw/

Details

Source: MITRE

Published: 2015-05-12

Updated: 2020-04-29

Type: CWE-611

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
85840openSUSE Security Update : perl-XML-LibXML (openSUSE-2015-571)NessusSuSE Local Security Checks
medium
85681SUSE SLED12 / SLES12 Security Update : perl-XML-LibXML (SUSE-SU-2015:1439-1)NessusSuSE Local Security Checks
medium
83326Fedora 20 : perl-XML-LibXML-2.0119-1.fc20 (2015-7258)NessusFedora Local Security Checks
medium
83324Fedora 21 : perl-XML-LibXML-2.0119-1.fc21 (2015-7115)NessusFedora Local Security Checks
medium
83284Mandriva Linux Security Advisory : perl-XML-LibXML (MDVSA-2015:231)NessusMandriva Local Security Checks
medium
83251Ubuntu 12.04 LTS / 14.04 LTS / 14.10 / 15.04 : libxml-libxml-perl vulnerability (USN-2592-1)NessusUbuntu Local Security Checks
medium
83192Debian DSA-3243-1 : libxml-libxml-perl - security updateNessusDebian Local Security Checks
medium
83166Debian DLA-214-1 : libxml-libxml-perl security updateNessusDebian Local Security Checks
medium